# User Data Type

Properties
name | data type | description
--- | --- | ---
id | string |
password | string |
enabled | boolean |
accountNonLocked | boolean |
roles | array of string |
credentialsNonExpired | boolean |
accountNonExpired | boolean |
username | string |

Example

    {
      "id" : "58e3946e0fb4f562d84ba1ad",
      "password" : "...",
      "enabled" : true,
      "accountNonLocked" : true,
      "roles" : [ "[\"ADMIN\",\"USER\"]", "..." ],
      "credentialsNonExpired" : true,
      "accountNonExpired" : true,
      "username" : "user"
    }